Package wx :: Package lib :: Package agw :: Module artmanager :: Class RendererBase

[frames | no frames]

## Class RendererBase

Known Subclasses:
  `RendererMSOffice2007`, `RendererXP`

Base class for all theme renderers.

Method Summary
| `__init__(self)`
| `DrawBitmapArea(self, dc, xpm_name, rect, baseColor, flipSide)`
| `DrawBitmapBorders(self, dc, rect, penColor, bitmapBorderUpperLeftPen)`
| `DrawButtonBorders(self, dc, rect, penColor, brushColor)`
| ``GetFont`(self)` Returns the font used for text.
| ``GetMenuFaceColour`(self)` Enables to set the colour for the menu.
| ``GetTextColourDisable`(self)` Returns the colour used for text colour when disabled.
| ``GetTextColourEnable`(self)` Returns the colour used for text colour when enabled.

Method Details

### GetFont(self)

Returns the font used for text.

### GetMenuFaceColour(self)

Enables to set the colour for the menu.

### GetTextColourDisable(self)

Returns the colour used for text colour when disabled.

### GetTextColourEnable(self)

Returns the colour used for text colour when enabled.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:26 2009 | http://epydoc.sf.net